org.vertx.java.core.shareddata.impl

## Class SharedSet<E>

- java.lang.Object
- - org.vertx.java.core.shareddata.impl.SharedSet<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.Set<E>

    public class SharedSet<E>
    extends java.lang.Object
    implements java.util.Set<E>

### Constructor Summary

Constructors
Constructor and Description
`SharedSet()`

### Method Summary

Methods
`boolean` `add(E e)`
`boolean` `addAll(java.util.Collection<? extends E> es)`
`void` `clear()`
`boolean` `contains(java.lang.Object o)`
`boolean` `containsAll(java.util.Collection<?> objects)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Iterator<E>` `iterator()`
`boolean` `remove(java.lang.Object o)`
`boolean` `removeAll(java.util.Collection<?> objects)`
`boolean` `retainAll(java.util.Collection<?> objects)`
`int` `size()`
`java.lang.Object[]` `toArray()`
`<T> T[]` `toArray(T[] ts)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SharedSet

    public SharedSet()

### Method Detail

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Collection<E>`
Specified by:
  `size` in interface `java.util.Set<E>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `java.util.Collection<E>`
Specified by:
  `isEmpty` in interface `java.util.Set<E>`

#### contains

    public boolean contains(java.lang.Object o)

Specified by:
  `contains` in interface `java.util.Collection<E>`
Specified by:
  `contains` in interface `java.util.Set<E>`

#### iterator

    public java.util.Iterator<E> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<E>`
Specified by:
  `iterator` in interface `java.util.Collection<E>`
Specified by:
  `iterator` in interface `java.util.Set<E>`

#### toArray

    public java.lang.Object[] toArray()

Specified by:
  `toArray` in interface `java.util.Collection<E>`
Specified by:
  `toArray` in interface `java.util.Set<E>`

#### toArray

    public <T> T[] toArray(T[] ts)

Specified by:
  `toArray` in interface `java.util.Collection<E>`
Specified by:
  `toArray` in interface `java.util.Set<E>`

#### add

    public boolean add(E e)

Specified by:
  `add` in interface `java.util.Collection<E>`
Specified by:
  `add` in interface `java.util.Set<E>`

#### remove

    public boolean remove(java.lang.Object o)

Specified by:
  `remove` in interface `java.util.Collection<E>`
Specified by:
  `remove` in interface `java.util.Set<E>`

#### containsAll

    public boolean containsAll(java.util.Collection<?> objects)

Specified by:
  `containsAll` in interface `java.util.Collection<E>`
Specified by:
  `containsAll` in interface `java.util.Set<E>`

#### addAll

    public boolean addAll(java.util.Collection<? extends E> es)

Specified by:
  `addAll` in interface `java.util.Collection<E>`
Specified by:
  `addAll` in interface `java.util.Set<E>`

#### retainAll

    public boolean retainAll(java.util.Collection<?> objects)

Specified by:
  `retainAll` in interface `java.util.Collection<E>`
Specified by:
  `retainAll` in interface `java.util.Set<E>`

#### removeAll

    public boolean removeAll(java.util.Collection<?> objects)

Specified by:
  `removeAll` in interface `java.util.Collection<E>`
Specified by:
  `removeAll` in interface `java.util.Set<E>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `java.util.Collection<E>`
Specified by:
  `clear` in interface `java.util.Set<E>`

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `java.util.Collection<E>`
Specified by:
  `equals` in interface `java.util.Set<E>`
Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.util.Collection<E>`
Specified by:
  `hashCode` in interface `java.util.Set<E>`
Overrides:
  `hashCode` in class `java.lang.Object`